*! version 1.1.3  02may2005  by Marc Muendler  muendler@ucsd.edu

decode sec1, generate(sec1_fix)
drop sec1
foreach var in sec1 sec2 {
  rename `var'_fix buba_code_3ltr
  sort buba_code_3ltr
  merge buba_code_3ltr using ${secfix}, nokeep
  tab _merge
  drop _merge buba_code_3ltr
  rename sec_bem `var'_bem
  rename sec_aggbem `var'_aggbem
  }
 qui do "$root/conc/secbem.do"
 label values sec1_bem secbem
 label values sec2_bem secbem
 qui do "$root/conc/sec7ltr.do"
 label values sec1_aggbem sec7ltr
 label values sec2_aggbem sec7ltr
 gen str3 cntrybemgrp = "CEE" if cntrygrp_bem=="CEE"
 replace  cntrybemgrp = "DEV" if cntrygrp_bem=="APC" | cntrygrp_bem=="ODV" | cntrygrp_bem=="OTR" | cntrygrp_bem=="RCA"
 replace  cntrybemgrp = "OIN" if cntrygrp_bem=="OIN"
 replace  cntrybemgrp = "WEU" if cntrygrp_bem=="EMU" | cntrygrp_bem=="OWE"
 label var cntrybemgrp "Country group"
 rename cntrybemgrp _cntrybemgrp
 encode _cntrybemgrp, generate(cntrybemgrp) label(cntrybem)
 drop _cntrybemgrp
 label var cntrybemgrp "Country group"
