*! version 1.1.5  05feb2006  by Marc Muendler  muendler@ucsd.edu

local tlogyr = substr("${tlogyear}",3,2)
local selyr = substr("${selyear}",3,2)

local wfl = substr("${waglvl}",4,3)

if $year==${selyear} {
  local forwage = "${`wfl'`selyr'}"
  local homwage = "${hom`wfl'`selyr'}"
  }
if $year==${tlogyear} {
  local forwage = "${`wfl'`tlogyr'}"
  local homwage = "${hom`wfl'`tlogyr'}"
  }

local yr = substr("`year'",-2,2)

sort nace1 year
merge nace1 year using ${homsecwag}, nokeep update
tab _merge
tab nace1 if _merge==1
drop _merge

sort country year
merge country year using `forwage', nokeep update 
tab country if _merge==1
tab country if _merge==3
drop _merge

sort year
merge year using `homwage'
tab _merge
drop _merge

* change var names if oww sample past 1999
capture rename lag_cntr_wage cntr_wage
capture rename lag_cntr_wage_par cntr_wage_par

* pick suitable wage variable
rename cntr_wage wage_ppp
if "`wfl'"=="oww" rename mhomwage wage_par
else              rename cntr_wage_par wage_par
